package com.ijchart.xychart.format ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ڸʽһΪһַ.</zh>
 * <en>A Formatter provides support for formatting Object.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IFormatter {
  /**
   * <zh>ʽһΪַ.ĳֵһϵж(ϵıǩ̶ֵ),ʽʱԸindex
   * ֵĲͬʽΪַͬ.</zh>
   * <en>Formatted an object to a string. If a value is composed of a series of objects
   * (such as the coordinates of the axis labels or scale value),
   * the format could be based on index.</en>
   *
   * @param obj Object <zh>ҪʽĶ (Ϊnull).</zh>
   * <en>The object to be formatted (null permitted).</en>
   * @param index int <zh>һϵֵ˳,0ʼ.</zh>
   * <en>The index value of a series objects.The first is at index 0,
   * the next is at 1, and so on.</en>
   * @return String
   */
  String format(Object obj, int index) ;
}
