package com.ijchart.xychart.render ;

/**
 * <p>Title: IJChart</p>
 * <zh>ջ͵render.</zh>
 * <en>The interface for stacked render.</en>
 * <p>Description: a chart library for the Java(tm) platform.</p>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IStackedRender extends IRender {
  /**
   * <zh>԰ٷֱʽʾ,true,򷵻false.</zh>
   * <en>Returns true if the render displays each item value as a percentage
   * (so that the stacked bars add to 100%), and false otherwise.</en>
   *
   * @return A boolean. <zh>ֵ.</zh>
   * <en>A boolean.</en>
   */
  boolean isRenderAsPercentages() ;
}
